End the open claim
const options = {method: 'POST'};
fetch('https://ownsi.dev/api/claims/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://ownsi.dev/api/claims/{id}/cancel{
"id": "<string>",
"domainId": "<string>",
"domain": "<string>",
"unicodeDomain": "<string>",
"state": "pending",
"token": "<string>",
"records": [
{
"host": "<string>",
"name": "<string>",
"type": "TXT",
"value": "<string>"
}
],
"verificationId": "<string>",
"expiresAt": "<string>",
"endedAt": "<string>",
"createdAt": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}End the open claim
The token stops being accepted from here on and the verification stops running. Claiming the domain again issues a new one.
POST
/
api
/
claims
/
{id}
/
cancel
End the open claim
const options = {method: 'POST'};
fetch('https://ownsi.dev/api/claims/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://ownsi.dev/api/claims/{id}/cancel{
"id": "<string>",
"domainId": "<string>",
"domain": "<string>",
"unicodeDomain": "<string>",
"state": "pending",
"token": "<string>",
"records": [
{
"host": "<string>",
"name": "<string>",
"type": "TXT",
"value": "<string>"
}
],
"verificationId": "<string>",
"expiresAt": "<string>",
"endedAt": "<string>",
"createdAt": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docsUrl": "<string>"
}
}Path Parameters
Minimum string length:
1Response
Response for status 200
Available options:
pending, proved, expired, canceled Show child attributes
Show child attributes